Change card profile
Relevant webhooks
For this endpoint be sure you have registered for this webhook:
API reference
Updates the profile associated to a card.
Endpoint: /cardmanagement/v1/cards/{id}/profile
PUT
https://sandbox.crbcos.com/cardmanagement/v1/cards/{id}/profile
Path Parameters
- idstringrequiredDescription
Body Parameters
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- suffixstringDescription
- phoneobjectDescription
- phoneTypestringrequiredDescription
- phoneNumberstringrequiredDescription
- emailAddressstringDescription
- billingAddressobjectrequiredDescription
- street1stringrequiredDescription
- street2stringDescription
- citystringrequiredDescription
- statestringrequiredDescription
- postalCodestringrequiredDescription
- countryCodestringrequiredDescription
- shippingAddressobjectrequiredDescription
- street1stringrequiredDescription
- street2stringDescription
- citystringrequiredDescription
- statestringrequiredDescription
- postalCodestringrequiredDescription
- countryCodestringrequiredDescription
Response
- idstringDescription
- productIdstringDescription
- partnerIdstringDescription
- processorCardIdstringDescription
- accountNumberstringDescription
- statusstringDescription
- statusReasonCodestringDescription
- processorCardStatusstringDescription
- firstNamestringDescription
- middleNamestringDescription
- lastNamestringDescription
- suffixstringDescription
- birthDatestringDescription
- shippingAddressobjectDescription
- street1stringDescription
- street2stringDescription
- city stringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- billingAddressobjectDescription
- street1stringDescription
- street2stringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- phoneobjectDescription
- phoneTypestringDescription
- phoneNumberstringDescription
- emailAddressstringDescription
- nameOnCardstringDescription
- companyNameOnCardstringDescription
- panLastFourstringDescription
- previousCardIdstringDescription
- isPinSetbooleanDescription
- expirationDatestringDescription
- adminBlockedbooleanDescription
- fraudSuspectbooleanDescription
- configurationIdstringDescription
- categorystringDescription
- paymentInstrumentstringDescription
- processorstringDescription
- shippingTypestringDescription
- orderStatusstringDescription
- replacementStatusstringDescription
- customerIdstringDescription
- clientIdentifierstringDescription
- processorCustomerIdstringDescription
- createdAtstringDescription
- suspendedAtstringDescription
- closedAtstringDescription
- initialActivationstringDescription
- activatedAtstringDescription
- openedAtstringDescription
- lastModifiedAtstringDescription
curl
curl --location --globoff --request PUT 'https://sandbox.crbcos.com/cardmanagement/v1/cards/{id}/profile?id=1c243431-23b8-407c-afa4-b30000abbe0d' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "Daly",
"lastName": "Khol",
"phone": {
"phoneType": "Home",
"phoneNumber": "7185551234"
},
"emailAddress": "[email protected]",
"billingAddress": {
"street1": "1 Roshar Ave",
"city": "Roshar",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
},
"shippingAddress": {
"street1": "1 Roshar Ave",
"city": "Roshar",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
}
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'PUT',
'hostname': 'sandbox.crbcos.com',
'path': '/cardmanagement/v1/cards/{id}/profile?id=1c243431-23b8-407c-afa4-b30000abbe0d',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = "{\r\n \"firstName\": \"Daly\",\r\n \"lastName\": \"Khol\",\r\n \"phone\": {\r\n \"phoneType\": \"Home\",\r\n \"phoneNumber\": \"7185551234\"\r\n },\r\n \"emailAddress\": \"[email protected]\",\r\n \"billingAddress\": {\r\n \"street1\": \"1 Roshar Ave\",\r\n \"city\": \"Roshar\",\r\n \"state\": \"NY\",\r\n \"postalCode\": \"10001\",\r\n \"countryCode\": \"US\"\r\n },\r\n \"shippingAddress\": {\r\n \"street1\": \"1 Roshar Ave\",\r\n \"city\": \"Roshar\",\r\n \"state\": \"NY\",\r\n \"postalCode\": \"10001\",\r\n \"countryCode\": \"US\"\r\n }\r\n \r\n}";
req.write(postData);
req.end();python
import requests
url = "https://sandbox.crbcos.com/cardmanagement/v1/cards/{id}/profile?id=1c243431-23b8-407c-afa4-b30000abbe0d"
payload = "{\r\n \"firstName\": \"Daly\",\r\n \"lastName\": \"Khol\",\r\n \"phone\": {\r\n \"phoneType\": \"Home\",\r\n \"phoneNumber\": \"7185551234\"\r\n },\r\n \"emailAddress\": \"[email protected]\",\r\n \"billingAddress\": {\r\n \"street1\": \"1 Roshar Ave\",\r\n \"city\": \"Roshar\",\r\n \"state\": \"NY\",\r\n \"postalCode\": \"10001\",\r\n \"countryCode\": \"US\"\r\n },\r\n \"shippingAddress\": {\r\n \"street1\": \"1 Roshar Ave\",\r\n \"city\": \"Roshar\",\r\n \"state\": \"NY\",\r\n \"postalCode\": \"10001\",\r\n \"countryCode\": \"US\"\r\n }\r\n \r\n}"
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/cardmanagement/v1/cards/{id}/profile?id=1c243431-23b8-407c-afa4-b30000abbe0d")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = "{\r\n \"firstName\": \"Daly\",\r\n \"lastName\": \"Khol\",\r\n \"phone\": {\r\n \"phoneType\": \"Home\",\r\n \"phoneNumber\": \"7185551234\"\r\n },\r\n \"emailAddress\": \"[email protected]\",\r\n \"billingAddress\": {\r\n \"street1\": \"1 Roshar Ave\",\r\n \"city\": \"Roshar\",\r\n \"state\": \"NY\",\r\n \"postalCode\": \"10001\",\r\n \"countryCode\": \"US\"\r\n },\r\n \"shippingAddress\": {\r\n \"street1\": \"1 Roshar Ave\",\r\n \"city\": \"Roshar\",\r\n \"state\": \"NY\",\r\n \"postalCode\": \"10001\",\r\n \"countryCode\": \"US\"\r\n }\r\n \r\n}"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/cardmanagement/v1/cards/{id}/profile?id=1c243431-23b8-407c-afa4-b30000abbe0d"
method := "PUT"
payload := strings.NewReader(`{
"firstName": "Daly",
"lastName": "Khol",
"phone": {
"phoneType": "Home",
"phoneNumber": "7185551234"
},
"emailAddress": "[email protected]",
"billingAddress": {
"street1": "1 Roshar Ave",
"city": "Roshar",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
},
"shippingAddress": {
"street1": "1 Roshar Ave",
"city": "Roshar",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
}
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "1c243431-23b8-407c-afa4-b30000abbe0d",
"productId": "57146944-b145-4326-884d-b2f700ecf688",
"partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
"processorCardId": "827277613081398",
"accountNumber": "158560897007",
"status": "Active",
"statusReasonCode": "NotSet",
"processorCardStatus": "B",
"firstName": "Daly",
"lastName": "Khol",
"shippingAddress": {
"street1": "1 Roshar Ave",
"city": "Roshar",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
},
"billingAddress": {
"street1": "1 Roshar Ave",
"city": "Roshar",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
},
"phone": {
"phoneType": "Home",
"phoneNumber": "7185551234"
},
"emailAddress": "[email protected]",
"nameOnCard": "Daly Khol",
"panLastFour": "4558",
"previousCardId": "8c6a53e0-83ad-4b76-b446-b300006a3e6a",
"isPinSet": true,
"expirationDate": "2028-06-18",
"adminBlocked": false,
"fraudSuspect": false,
"configurationId": "b2251a28-c218-4e2e-a787-b2f700ef0ecd",
"category": "Debit",
"paymentInstrument": "PhysicalCombo",
"processor": "P1",
"shippingType": "Normal",
"orderStatus": "Completed",
"replacementStatus": "NotApplicable",
"customerId": "e2599a17-d1e2-476c-9672-b2ff008fa575",
"clientIdentifier": "b06ab5cc-553a-4fe4-ad78-751b5ff81f00",
"processorCustomerId": "X5R364GI9VXUUK24QH1D",
"createdAt": "2025-06-18T06:25:17.697-04:00",
"initialActivation": "2025-06-18T00:00:00-04:00",
"activatedAt": "2025-07-01T03:01:41.433-04:00",
"lastModifiedAt": "2025-07-01T04:59:58.9530403-04:00"
}